React Native 0.64 support

  1. SDK Version: 40.0.0
  2. Platforms(Android/iOS/web/all): all
    When will we expect the react native 0.64 in expo SDK?

We hit a roadblock for automation testing as we have to set static accessibility label for each interactive elements to find them. But we are using the accessibility label for talk back with very long sentences with dynamic translations.

The above problem has been solved in react native 0.64. But Expo SDK 40.0.0 doesn’t support 0.64.

here’s a related discussion: react-native@64 was just released less than 3 weeks ago — by that time we had already begun the release process. in order to include a newer version of react-native, we need for it to be released and… - Brent Vatne - Medium